Bug 802178 - logrotate script for proftpd w/ systemd (i.e. f16 and later) broken
logrotate script for proftpd w/ systemd (i.e. f16 and later) broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: proftpd (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 18:06 EDT by Philip Prindeville
Modified: 2012-03-24 05:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: proftpd-1.3.4a-7.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-24 05:37:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2012-03-11 18:06:08 EDT
Description of problem:

The /etc/logrotate.d/proftpd script for 16 and later contains:

test -f /var/lock/subsys/proftpd && /usr/bin/killall -HUP proftpd || :

but this file doesn't apply to sites using systemd to launch proftpd. It should be:

systemctl reload proftpd.service

instead. 

Version-Release number of selected component (if applicable):

proftpd-1.3.4a-5

How reproducible:

Wait for log rotation, then do either grep for proftpd restarting in log files, or else do:

ps -ef | grep proftpd
lsof -p XXXX | grep /var/log

and you'll see proftpd still holding rotated logs open.



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2012-03-12 12:10:50 EDT
proftpd-1.3.4a-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/proftpd-1.3.4a-7.fc17
Comment 2 Fedora Update System 2012-03-12 12:10:59 EDT
proftpd-1.3.4a-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/proftpd-1.3.4a-7.fc16
Comment 3 Philip Prindeville 2012-03-13 00:14:42 EDT
Thanks, by the way, for taking care of that so quickly.
Comment 4 Fedora Update System 2012-03-16 17:17:48 EDT
proftpd-1.3.4a-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-03-23 20:33:25 EDT
proftpd-1.3.4a-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.